POST api/NTCosCompany/PostCompanyPhysician
Request Information
URI Parameters
None.
Body Parameters
Collection of CompanyPhysicianDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| PhysicianName | string |
String length: inclusive between 0 and 50 |
|
| Sequence | integer |
None. |
|
| Description | string |
String length: inclusive between 0 and 8000 |
|
| Status | integer |
None. |
|
| CaseNo | integer |
None. |
|
| DispositionId | integer |
None. |
|
| PermissionStatus | boolean |
None. |
|
| MedicalId | integer |
None. |
|
| IsPeerToPeer | boolean |
None. |
|
| UserId | integer |
None. |
|
| IsAuthorizedToSignDocument | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"Id": 1,
"PhysicianName": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Status": 1,
"CaseNo": 5,
"DispositionId": 6,
"PermissionStatus": true,
"MedicalId": 8,
"IsPeerToPeer": true,
"UserId": 1,
"IsAuthorizedToSignDocument": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:57:23.3236932-07:00",
"DateUpdated": "2026-06-20T12:57:23.3236932-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
{
"Id": 1,
"PhysicianName": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Status": 1,
"CaseNo": 5,
"DispositionId": 6,
"PermissionStatus": true,
"MedicalId": 8,
"IsPeerToPeer": true,
"UserId": 1,
"IsAuthorizedToSignDocument": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:57:23.3236932-07:00",
"DateUpdated": "2026-06-20T12:57:23.3236932-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfCompanyPhysicianDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CompanyPhysicianDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"PhysicianName": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Status": 1,
"CaseNo": 5,
"DispositionId": 6,
"PermissionStatus": true,
"MedicalId": 8,
"IsPeerToPeer": true,
"UserId": 1,
"IsAuthorizedToSignDocument": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:57:23.3236932-07:00",
"DateUpdated": "2026-06-20T12:57:23.3236932-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
{
"Id": 1,
"PhysicianName": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Status": 1,
"CaseNo": 5,
"DispositionId": 6,
"PermissionStatus": true,
"MedicalId": 8,
"IsPeerToPeer": true,
"UserId": 1,
"IsAuthorizedToSignDocument": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:57:23.3236932-07:00",
"DateUpdated": "2026-06-20T12:57:23.3236932-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}